[conda recipe] Add make next to cmake dependency

5 jobs for master in 4 minutes and 17 seconds (queued for 1 second)
Status Job ID Name Coverage
  Build
failed #217070
docker
build_linux_36

00:02:43

failed #217071
docker
build_linux_37

00:02:38

failed #217068
macosx
build_macosx_36

00:04:17

failed #217069
macosx
build_macosx_37

00:04:17

 
  Deploy
skipped #217072
docker
deploy_beta
 
Name Stage Failure
failed
build_macosx_37 Build
    raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform osx-64: {"libcxx[version='>=10.0.0|>=4.0.1']", 'bob.extension', "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "libcxx[version='>=4.0.1']", "libcxx[version='>=10.0.0']", "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", 'python', "numpy[version='1.11.*|1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", 'libcxx', "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.5,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", 'intel-openmp', "click[version='>=3.0']", "bob.core[version='>=2.2.5,<3.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", "bob.extension[version='>=3.1.2,<4.0a0|>=5.0.0,<6.0a0']", "bob.io.base[version='>=3.0.10b.0,<4.0a0|>=3.0.9,<4.0a0|>=3.0.7,<4.0a0|>=3.0.6,<4.0a0|>=3.0.5,<4.0a0|>=3.0.4,<4.0a0|>=3.0.3,<4.0a0']", "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.18,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.21,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "bob.blitz[version='>=2.0.18,<3.0a0|>=2.0.21,<3.0a0']", "python[version='>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", "libcxxabi==4.0.1[build='hebd6815_0|hcfea43d_1']", "click[version='>=7.0,<8.0a0|>=7.1.1,<8.0a0|>=7.1.2,<8.0a0']", 'ca-certificates', "bob.extension[version='>2.0.4|>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "boost[version='1.61.*|>=1.65.1,<1.65.2.0a0|>=1.67.0,<1.67.1.0a0|>=1.73.0,<1.73.1.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.8,<3.9.0a0|>=3.7,<3.8.0a0']", "python[version='2.7.*|3.5.*|3.6.*|>=2.7,<2.8.0a0|>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|3.4.*']", "numpy[version='1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", "numpy[version='1.11.*|1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.9.3,<2.0a0']", 'setuptools', "bob.extension[version='>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.1.2,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.0,<6.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "libblitz[version='0.10|0.10.*|>=1.0.1,<1.0.2.0a0']", "numpy[version='>=1.11.3,<2.0a0|>=1.17.4,<2.0a0']", 'numpy=1.11'}
Uploading artifacts for failed job
Uploading artifacts...
Runtime platform
arch=amd64 os=darwin pid=66064 revision=ece86343 version=13.5.0
WARNING: coverage.xml: no matching files
ERROR: No files to upload
Cleaning up file based variables
ERROR: Job failed: exit status 1
failed
build_macosx_36 Build
    raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform osx-64: {"libcxxabi==4.0.1[build='hcfea43d_1|hebd6815_0']", "python[version='>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", "numpy[version='1.11.*|1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.18,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.21,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "boost[version='1.61.*|>=1.65.1,<1.65.2.0a0|>=1.67.0,<1.67.1.0a0|>=1.73.0,<1.73.1.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.8,<3.9.0a0|>=3.7,<3.8.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0']", 'intel-openmp', 'bob.extension', "python[version='2.7.*|3.5.*|3.6.*|>=2.7,<2.8.0a0|>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|3.4.*']", "numpy[version='>=1.11.3,<2.0a0|>=1.17.4,<2.0a0']", "bob.extension[version='>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.1.2,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.0,<6.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "bob.blitz[version='>=2.0.18,<3.0a0|>=2.0.21,<3.0a0']", "libcxx[version='>=10.0.0|>=4.0.1']", "bob.io.base[version='>=3.0.10b.0,<4.0a0|>=3.0.9,<4.0a0|>=3.0.7,<4.0a0|>=3.0.6,<4.0a0|>=3.0.5,<4.0a0|>=3.0.4,<4.0a0|>=3.0.3,<4.0a0']", "bob.extension[version='>=3.1.2,<4.0a0|>=5.0.0,<6.0a0']", 'numpy=1.11', "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.5,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", "numpy[version='1.11.*|1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.9.3,<2.0a0']", "bob.core[version='>=2.2.5,<3.0a0']", "click[version='>=3.0']", 'ca-certificates', "libcxx[version='>=4.0.1']", "bob.extension[version='>2.0.4|>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "click[version='>=7.0,<8.0a0|>=7.1.1,<8.0a0|>=7.1.2,<8.0a0']", "libblitz[version='0.10|0.10.*|>=1.0.1,<1.0.2.0a0']", 'setuptools', "numpy[version='1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", 'libcxx', "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']"}
Uploading artifacts for failed job
Uploading artifacts...
Runtime platform
arch=amd64 os=darwin pid=66015 revision=ece86343 version=13.5.0
WARNING: coverage.xml: no matching files
ERROR: No files to upload
Cleaning up file based variables
ERROR: Job failed: exit status 1
failed
build_linux_36 Build
  File "/scratch/builds/bob/bob.learn.mlp/miniconda/lib/python3.7/site-packages/conda_build/environ.py", line 804, in get_install_actions
raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform linux-64: {"libgcc-ng[version='>=7.2.0']", "python[version='2.7.*|3.5.*|3.6.*|>=2.7,<2.8.0a0|>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|3.4.*']", 'bob.extension', "numpy[version='1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", 'numpy=1.11', "libgcc-ng[version='>=7.3.0']", "bob.extension[version='>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.1.2,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.0,<6.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "boost[version='1.61.*|>=1.65.1,<1.65.2.0a0|>=1.67.0,<1.67.1.0a0|>=1.73.0,<1.73.1.0a0']", "numpy[version='>=1.11.3,<2.0a0']", 'ca-certificates', 'setuptools', "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.9,<3.10.0a0|>=3.8,<3.9.0a0']", "libgcc-ng[version='>=7.2.0|>=7.3.0']", 'intel-openmp', "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.5,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.18,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.21,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "bob.extension[version='>2.0.4|>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "libblitz[version='0.10|0.10.*|>=1.0.1,<1.0.2.0a0']", "numpy[version='1.11.*|1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", "bob.core[version='>=2.2.5,<3.0a0']", "click-plugins[version='>=1.0.4,<2.0a0|>=1.1.1,<2.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0']", "python[version='>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", 'python', "bob.extension[version='>=3.1.2,<4.0a0|>=5.0.0,<6.0a0']", "bob.blitz[version='>=2.0.18,<3.0a0|>=2.0.21,<3.0a0']", '_libgcc_mutex=[build=main]', "bob.io.base[version='>=3.0.10b.0,<4.0a0|>=3.0.9,<4.0a0|>=3.0.7,<4.0a0|>=3.0.6,<4.0a0|>=3.0.5,<4.0a0|>=3.0.4,<4.0a0|>=3.0.3,<4.0a0']"}
Uploading artifacts for failed job
Uploading artifacts...
WARNING: coverage.xml: no matching files
ERROR: No files to upload
Cleaning up file based variables
ERROR: Job failed: exit code 1
failed
build_linux_37 Build
  File "/scratch/builds/bob/bob.learn.mlp/miniconda/lib/python3.7/site-packages/conda_build/environ.py", line 804, in get_install_actions
raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform linux-64: {"bob.blitz[version='>=2.0.18,<3.0a0|>=2.0.21,<3.0a0']", "click-plugins[version='>=1.0.4,<2.0a0|>=1.1.1,<2.0a0']", "numpy[version='>=1.11.3,<2.0a0']", "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.8,<3.9.0a0']", "bob.core[version='>=2.2.5,<3.0a0']", "python[version='>=3.8,<3.9.0a0|>=3.9,<3.10.0a0']", "libstdcxx-ng[version='>=7.2.0|>=7.3.0']", '_libgcc_mutex=[build=main]', "python[version='2.7.*|3.5.*|3.6.*|>=2.7,<2.8.0a0|>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|3.4.*']", "numpy[version='1.11.*|1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", 'bob.extension', "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.18,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.21,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "bob.core[version='>=2.2.0,<3.0a0|>=2.2.1,<3.0a0|>=2.2.2,<3.0a0|>=2.2.3,<3.0a0|>=2.2.4,<3.0a0|>=2.2.5,<3.0a0|>=2.2.6,<3.0a0|>=2.2.7b.0,<3.0a0']", "bob.extension[version='>2.0.4|>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", 'ca-certificates', 'python', "python[version='>=3.6,<3.7.0a0|>=3.7,<3.8.0a0|>=3.9,<3.10.0a0|>=3.8,<3.9.0a0']", 'numpy=1.11', "bob.extension[version='>=3.1.2,<4.0a0|>=5.0.0,<6.0a0']", "bob.blitz[version='>=2.0.15,<3.0a0|>=2.0.16,<3.0a0|>=2.0.17,<3.0a0|>=2.0.19,<3.0a0|>=2.0.20,<3.0a0|>=2.0.22,<3.0a0|>=2.0.23b.0,<3.0a0']", "libblitz[version='0.10|0.10.*|>=1.0.1,<1.0.2.0a0']", "bob.extension[version='>=2.5.0,<3.0a0|>=3.1.0,<4.0a0|>=3.1.1,<4.0a0|>=3.1.2,<4.0a0|>=3.2.0,<4.0a0|>=4.0.0,<5.0a0|>=5.0.0,<6.0a0|>=5.0.1,<6.0a0|>=5.0.2b.0,<6.0a0']", "numpy[version='1.12.*|1.13.*|>=1.14.5,<2.0a0|>=1.15.4,<2.0a0|>=1.16.6,<2.0a0|>=1.17.4,<2.0a0|>=1.9.3,<2.0a0']", "bob.io.base[version='>=3.0.10b.0,<4.0a0|>=3.0.9,<4.0a0|>=3.0.7,<4.0a0|>=3.0.6,<4.0a0|>=3.0.5,<4.0a0|>=3.0.4,<4.0a0|>=3.0.3,<4.0a0']", "boost[version='1.61.*|>=1.65.1,<1.65.2.0a0|>=1.67.0,<1.67.1.0a0|>=1.73.0,<1.73.1.0a0']", 'intel-openmp', "python[version='>=3.6,<3.7.0a0|>=3.8,<3.9.0a0|>=3.7,<3.8.0a0']", 'setuptools'}
Uploading artifacts for failed job
Uploading artifacts...
WARNING: coverage.xml: no matching files
ERROR: No files to upload
Cleaning up file based variables
ERROR: Job failed: exit code 1